%define name    id3lib
%define	version	3.7.13
%define release 2mdk

%define major 13
%define libname lib%{name}%{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A software library for manipulating ID3v1 and ID3v2 tags.
Source:         http://download.sourceforge.net/id3lib/%{name}-%{version}.tar.bz2
URL:		http://id3lib.sourceforge.net
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	LGPL
Prefix:         %{_prefix}
Obsoletes:      id3lib-examples
BuildRequires:  doxygen tetex-latex tetex-dvips ghostscript

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.
Included are some simple command line example applications.

%package -n %{libname}
Summary: id3lib libraries
Group: System/Libraries

%description -n %{libname}
This package provides a software library for manipulating ID3v1 and ID3v2 tags.



%package	-n %{libname}-devel
Summary:	Headers for developing programs that will use id3lib
Group:		Development/C++
Requires:       %{libname}
Obsoletes:      id3lib-doc
Provides:	libid3lib-devel

%description	-n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

export CC="kgcc"
export CXX="kg++"

%configure
make
%make docs

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# strip down the doc and examples directories so we can copy w/impunity
(cd examples;make distclean)
for i in doc/ examples/; do \
  find $i                   \
  \(  -name 'Makefile*' -or \
      -name '*.in' \
  \)  -exec rm {} \; ; done

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO
%{_bindir}/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc doc/*.* doc/api examples
%{_includedir}/id3*.h
%{_includedir}/id3
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-2mdk
- fix build

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.7.13-1mdk
- used srpm from Gtz Waschk :
	Thu Sep 21 2000 Gtz Waschk <waschk@linux-mandrake.com> 3.7.13-1mdk
	- created initial Mandrake package
	- reorganized packages

* Fri Jun 23 2000 Scott Haug <scott@id3.org> 3.7.10-1
- Version 3.7.10

* Wed May 24 2000 Scott Haug <scott@id3.org> 3.7.9-1
- Version 3.7.9

* Wed May 10 2000 Scott Haug <scott@id3.org> 3.7.8-1
- Version 3.7.8

* Wed May 10 2000 Scott Haug <scott@id3.org> 3.7.7-1
- Version 3.7.7

* Wed May 03 2000 Scott Haug <scott@id3.org> 3.7.6-1
- Version 3.7.6

* Fri Apr 28 2000 Scott Haug <scott@id3.org> 3.7.5-1
- Version 3.7.5

* Wed Apr 26 2000 Scott Haug <scott@id3.org> 3.7.4-1
- Version 3.7.4

* Mon Apr 24 2000 Scott Haug <scott@id3.org> 3.7.3-1
- Version 3.7.3
- Added explicit RPM_OPT_FLAGS def based on arch, since -fno-exceptions and
  -fno-rtti are part of the default flags in rpmrc and we need both exceptions
  and rtti (exceptions uses rtti)

* Fri Apr 21 2000 Scott Haug <scott@id3.org> 3.7.2-1
- Version 3.7.2
- More conditional blocks for noarch
- More thorough cleaning of files for documentation
- Updated html directory

* Thu Apr 20 2000 Scott Haug <scott@id3.org> 3.7.1-2
- Fixed date of changelog entry for 3.7.1-1
- Added conditional blocks so docs only get built for noarch target

* Wed Apr 19 2000 Scott Haug <scott@id3.org> 3.7.1-1
- Version 3.7.1
- Removed zlib-devel requirement from devel
- Added doc package to distribute documentation
- Added examples package to distribute binary examples (id3tag, id3info, ...)
- Moved doc/ and examples/ source files from devel to doc package

* Mon Apr 17 2000 Scott Haug <scott@id3.org> 3.7.0-1
- First (s)rpm build
